/**
 * Company Name : 中贸促信息技术有限责任公司
 * Project Name:memberManageSys
 * File Name:Mail.java
 * Package Name:org.ccpit.base.utils.mailUtil
 * Date:2015年11月19日上午10:50:34
 * Copyright (c) 2015, dingwei@ccpit.org All Rights Reserved.
 *
*/

package org.ccpit.base.utils.mailUtil;

import java.io.Serializable;

/**
 * ClassName:Mail <br/>
 * Function: 邮件信息属性实体类. <br/>
 * Reason:	 TODO ADD REASON. <br/>
 * Date:     2015年11月19日 上午10:50:34 <br/>
 * @author   dingwei
 * @version  
 * @since    JDK 1.6
 * @see 	 
 */
public class Mail implements Serializable{

	/**
	 * serialVersionUID:TODO(用一句话描述这个变量表示什么).
	 * @since JDK 1.6
	 */
	private static final long serialVersionUID = 1L;

	public static final String ENCODEING = "utf-8";
	/**
	 * 邮件服务器地址
	 */
	private String host;
	/**
	 * 协议
	 */
	private String protocol;
	/**
	 * 发件人地址
	 */
	private String sender;
	/**
	 * 收件人地址
	 */
	private String receiver;
	/**
	 * 抄送人
	 */
	private String copyTo;
	/**
	 * 发件人昵称
	 */
	private String name;
	/**
	 * 发件人邮箱账号
	 */
	private String emailCount;
	/**
	 * 发件人邮箱账号密码
	 */
	private String emailPassword;
	/**
	 * 邮件主题
	 */
	private String mailTitle;
	/**
	 * 邮件内容
	 */
	private String mailMessage;
	//附件
	private String affix;
	
	public String getHost() {
		return host;
	}
	public void setHost(String host) {
		this.host = host;
	}
	public String getSender() {
		return sender;
	}
	public void setSender(String sender) {
		this.sender = sender;
	}
	public String getReceiver() {
		return receiver;
	}
	public void setReceiver(String receiver) {
		this.receiver = receiver;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public String getEmailCount() {
		return emailCount;
	}
	public void setEmailCount(String emailCount) {
		this.emailCount = emailCount;
	}
	public String getEmailPassword() {
		return emailPassword;
	}
	public void setEmailPassword(String emailPassword) {
		this.emailPassword = emailPassword;
	}
	public String getMailTitle() {
		return mailTitle;
	}
	public void setMailTitle(String mailTitle) {
		this.mailTitle = mailTitle;
	}
	public String getMailMessage() {
		return mailMessage;
	}
	public void setMailMessage(String mailMessage) {
		this.mailMessage = mailMessage;
	}
	public String getProtocol() {
		return protocol;
	}
	public void setProtocol(String protocol) {
		this.protocol = protocol;
	}
	public String getCopyTo() {
		return copyTo;
	}
	public void setCopyTo(String copyTo) {
		this.copyTo = copyTo;
	}
	public String getAffix() {
		return affix;
	}
	public void setAffix(String affix) {
		this.affix = affix;
	}
	
	
	
}

